PHP Manual
Prev |  | Next

# SDO_DAS_Setting::getValue

(no version information, might be only in CVS)

SDO_DAS_Setting::getValue -- Get the old value for the changed property

## Description

mixed SDO_DAS_Setting::getValue ( void )

Warning
This function is EXPERIMENTAL. The behaviour of this function, the name of this function, and anything else documented about this function may change without notice in a future release of PHP. Use this function at your own risk.

Returns the old value for the changed property. This can be used by a Data Access Service when writing updates to a data source. The DAS uses the old value to detect conflicts by comparing it with the current value in the data source. If they do not match, then the data source has been updated since the data object was originally populated, and therefore writing any new updates risks compromising the integrity of the data.

## Parameters

None.

## Return Values

Returns the old value of the changed property.

Prev | Home | Next
SDO_DAS_Setting::getPropertyName | Up | SDO_DAS_Setting::isSet